/*
 * rc.h - 2-channel in, 2-channel out RC PWM (900-1100us 50Hz typical)
 * For ATmega48/88/168/328 (and possibly others)
 * Copyright (c) 2015 James Rowley - james@jrowley.me
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 */ 


#ifndef RC_H_
#define RC_H_

#include "stdint-gcc.h"

#define RCMIN 900
#define RCMAX 2100
#define ICHAN 2
#define OCHAN 2

#define RXPORT    PORTD
#define RXPIN     PIND
#define RXDDR     DDRD
#define RXMSK     0b00000110
#define RX_PCMSK  PCMSK2
#define RX_PCINT  PCINT2_vect
#define RX_PCICR  0b00000100
#define RX_PINS   (1<<1),(1<<2)

#define REFRESH 300
#define TOP_VAL (uint16_t)(1000000L / REFRESH)

void initRC ( void );
void outputPWM ( void );
void setPWM ( uint8_t chan, uint16_t val );

extern uint16_t rcIn[ICHAN],rcOut[OCHAN];

#endif /* RC_H_ */